register_node = core.register_node
register_alias = core.register_alias
register_ore = core.register_ore
register_decoration = minetest.register_decoration
modname = "minimalism"
mymodname = modname .. ":"

register_node(mymodname .. "empty", {
	drawtype = "glasslike_framed",
	description = "White Minimalism Emptiness",
	tiles = { "empty-details.png", "empty-white.png"},
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "plus", {
	description = "White Minimalism Plus",
	tiles = { "plus.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "x", {
	description = "White Minimalism X",
	tiles = { "x.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "rombo", {
	description = "White Minimalism Rombo",
	tiles = { "rombo.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "dots", {
	description = "White Minimalism Dots",
	tiles = { "dots.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "star", {
	description = "White Minimalism Star",
	tiles = { "mm-star.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "fullstar", {
	description = "White Minimalism Full Star",
	tiles = { "star-full.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "spiral", {
	description = "White Minimalism Spiral",
	tiles = { "spiral.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "yingyang", {
	description = "YingYang",
	tiles = { "yingyang.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "encripto", {
	description = "White Minimalism Encripto",
	tiles = { "encripto.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "extremelycomplex", {
	description = "Extremely Complex",
	tiles = { "extremely-complex.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 12,
        --sounds = datatest_sounds.random_note()
})
register_node(mymodname .. "obscura", {
	description = "Obscura Symbol",
	tiles = { "obscura.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "complex", {
	description = "Complex Symbol",
	tiles = { "complex.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 8,
	--sounds = colorlandia_sounds.glass()
})

register_node(mymodname .. "script", {
	description = "Código Script",
	tiles = { "script.png" },
	groups = { dig_immediate = 3 },
	is_ground_content = true,
	light_source = 12,
        --sounds = datatest_sounds.random_note()
})